%global rpm_name koji-fedoramessaging-messages
%global pypi_name koji_fedoramessaging_messages
%global pypi_version 1.2.6

Name:           python-%{rpm_name}
Version:        1.2.6
Release:        1.20250620193138546835.pr232.6.g6104977%{?dist}
Summary:        A schema package for messages sent by the koji-fedoramessaging plugin

License:        GPL-3.0-or-later
URL:            https://github.com/fedora-infra/koji-fedoramessaging-messages
Source0:        koji_fedoramessaging_messages-1.2.6.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fedora-messaging) >= 3.0.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
Schema package for koji-fedoramessaging.

%package -n     python3-%{rpm_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{rpm_name}}

Requires:       python3dist(fedora-messaging) >= 3.0.1
Requires:       python3dist(setuptools)
%description -n python3-%{rpm_name}
Schema package for koji-fedoramessaging.


%prep
%autosetup -n koji_fedoramessaging_messages-1.2.6

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -v tests/

%files -n python3-%{rpm_name}
%license LICENSES/GPL-3.0-or-later.txt
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Jun 20 2025 Packit <hello@packit.dev> - 1.2.6-1.20250620193138546835.pr232.6.g6104977
- chore(deps): update all non-major dependencies (renovate[bot])
- chore(deps): update dependencies in lockfile (#231) (renovate[bot])
- chore(deps): update dependencies in lockfile (#230) (renovate[bot])
- chore(deps): update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.13 (#229) (renovate[bot])
- chore(deps): update dependencies in lockfile (#228) (renovate[bot])
- chore(deps): update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.12 (#227) (renovate[bot])

* Fri Jun 20 2025 renovate[bot] <29139614+renovate[bot]@users.noreply.github.com> - 1.2.6-1
- Version 1.2.6
